#proposalDirection
{
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;

	margin: 1rem;
	margin-top: calc(1rem + var(--space-thick));
	margin-bottom: calc(0rem + var(--space-thick));
}

#proposalDirection > div
{
	display: flex;
	flex-direction: column;
	align-items: stretch;

	padding: 0;
	flex-basis: 50%;

	cursor: pointer;
}
#proposalDirection > #toggleDirection
{
	flex-basis: 3rem;
}
#proposalDirection > div > button
{
	padding-top: 1rem;
	padding-bottom: 0.5rem;
}

#proposedFromDirection > button,
#proposedToDirection > button
{
	background-color: var(--odd);
	border: var(--space-tiny) solid var(--icon-border);
	box-shadow: inset 0rem var(--shadow-position) var(--shadow-blur) var(--shadow-color);
}

#proposedFromDirection > button > span,
#proposedToDirection > button > span
{
	width: 100%;
	font-size: 1rem;
	text-align: center;
	color: var(--text-muted);
	padding: var(--space-normal) 1rem;
}

#proposedFromDirection > button > img,
#proposedToDirection > button > img
{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;

	width: 4rem;
	height: 4rem;
	margin: auto;
}

#toggleDirection
{
	position: relative;

	display: flex;
	align-self: flex-end;
	justify-content: center;
	flex-basis: 0%;
	height: 7.25rem;

	font-size: 3rem;
	text-align: center;

	color: var(--text-muted);
	background-color: var(--background);
}
#toggleDirection::before
{
	content: '';
	display: block;
	position: absolute;
	top: 0;
	left: calc(50% - var(--space-tiny));
	width: var(--space-tiny);
	height: 100%;
	background-color: var(--shadow-color);
}
#toggleDirection > span
{
	background-color: var(--background);
	width: 3rem;
	height: 3rem;
	line-height: 3rem;
	z-index: 2;
}

/* Hide the inputs we use to determine the direction programmatically. */
#proposal > form > input[type='radio']
{
	visibility: hidden;
	width: 0;
	height: 0;
}

/* Make the min and max amounts look like clickable content. */
#minBridgeAmount,
#maxBridgeAmount
{
	cursor: pointer;
	text-decoration-line: underline;
	text-decoration-style: dashed;
	text-decoration-thickness: 1%;
}
